### Enumeration

# Gtk AccessibleInvalidState

#### Declaration

    enum Gtk.AccessibleInvalidState

#### Description [src]

The possible values for the `GTK_ACCESSIBLE_STATE_INVALID` accessible state.

Note that the `GTK_ACCESSIBLE_INVALID_FALSE` and `GTK_ACCESSIBLE_INVALID_TRUE` have the same values as `FALSE` and `TRUE`.

#### Members

Name | Description
--- | ---
`GTK_ACCESSIBLE_INVALID_FALSE` | There are no detected errors in the value.
`GTK_ACCESSIBLE_INVALID_TRUE` | The value entered by the user has failed validation.
`GTK_ACCESSIBLE_INVALID_GRAMMAR` | A grammatical error was detected.
`GTK_ACCESSIBLE_INVALID_SPELLING` | A spelling error was detected.